﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using HeuristicLab.DataImporter.Data;
using HeuristicLab.DataImporter.Data.CommandBase;
using HeuristicLab.DataImporter.Data.Model;
using HeuristicLab.DataImporter.Command.View;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

namespace HeuristicLab.DataImporter.Command {
  [StorableClass]
  public abstract class FilterCommandBase : ColumnGroupCommandWithAffectedColumnsBase {
     private FilterCommandBase()
      : base(null,string.Empty,null) {
    }

     public FilterCommandBase(DataSet dataSet, string columnGroupName, int[] affectedColumns)
      : base(dataSet, columnGroupName, affectedColumns) {
    }

     [Storable]
     private int windowSize;
     public int WindowSize {
       get { return this.windowSize; }
       set { this.windowSize = value; }
     }
  }
}